#include <iostream>
using namespace std;
int main()
{
    int a,b,c,d,e;
    cin>>a>>b>>c>>d>>e;
    int sbor=a*a+b*b+c*c+d*d;
    if(sbor<=e*e)
    {
        cout<<"2";
    }
    else if(sbor<=2*e*e)
    {
        cout<<"3";
    }
    else if(sbor<=3*e*e)
    {
        cout<<"4";
    }
    else if(sbor<=4*e*e)
    {
        cout<<"5";
    }




    return 0;
}
